Bug 1281859 - [abrt] pyzor: codecs.py:319:decode:UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe3 in position 2790: invalid continuation byte
[abrt] pyzor: codecs.py:319:decode:UnicodeDecodeError: 'utf-8' codec can't de...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pyzor (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5821e7ac8607725c7ef1fc8dfa4...
:
: 1297247 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 10:59 EST by Sergio Monteiro Basto
Modified: 2016-12-20 10:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:50:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.79 KB, text/plain)
2015-11-13 10:59 EST, Sergio Monteiro Basto
no flags Details
File: environ (2.36 KB, text/plain)
2015-11-13 10:59 EST, Sergio Monteiro Basto
no flags Details
the message that was request (24.25 KB, text/plain)
2015-11-17 13:14 EST, Sergio Monteiro Basto
no flags Details

  None (edit)
Description Sergio Monteiro Basto 2015-11-13 10:59:06 EST
Description of problem:
filtring emails on evolution 

Version-Release number of selected component:
pyzor-1.0.0-3.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python3 /usr/bin/pyzor check
executable:     /usr/bin/pyzor
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            500

Truncated backtrace:
#1 decode in /usr/lib64/python3.4/codecs.py:319
#2 parse in /usr/lib64/python3.4/email/parser.py:54
#3 message_from_file in /usr/lib64/python3.4/email/__init__.py:56
#4 _get_input_msg in /usr/bin/pyzor:174
#5 check in /usr/bin/pyzor:237
#6 main in /usr/bin/pyzor:152
#7 <module> in /usr/bin/pyzor:408
Comment 1 Sergio Monteiro Basto 2015-11-13 10:59:11 EST
Created attachment 1093717 [details]
File: backtrace
Comment 2 Sergio Monteiro Basto 2015-11-13 10:59:13 EST
Created attachment 1093718 [details]
File: environ
Comment 3 Jason Tibbitts 2015-11-13 11:27:25 EST
This appears to be the same issue already reported upstream at: https://github.com/SpamExperts/pyzor/issues/38

If you could possibly obtain the message which caused this problem, I'm sure upstream would love to see it.  There might be enough in the backtrace, though; I'll have to take a hard look at it.
Comment 4 Sergio Monteiro Basto 2015-11-17 13:14 EST
Created attachment 1095581 [details]
the message that was request

here it is , the message that make this fail .
Comment 5 Jason Tibbitts 2015-11-17 13:24:42 EST
Thanks!  Upstream was looking for an example, so this should help narrow things down.  I have passed it up to the developers, and there's a chance I might be able to fix it myself.
Comment 6 Jason Tibbitts 2016-01-11 15:07:02 EST
*** Bug 1297247 has been marked as a duplicate of this bug. ***
Comment 7 Sergio Monteiro Basto 2016-09-26 19:22:52 EDT
still the almost one year later ...
Comment 8 Jason Tibbitts 2016-09-26 20:00:49 EDT
Yes, upstream appears to be completely dead.  I suppose I should just have the software removed from the distribution entirely.
Comment 9 Sergio Monteiro Basto 2016-09-30 17:37:21 EDT
Hi, 

I removed  pyzor [1] and evolution is working in same way, detect well spam etc, and stopped to crash (I recently had some crashes but abrt doesn't le me report), so recently pyzor seems also make evolution crash  .
So I support you in remove pyzor from the distribution.

Thanks.


[1] dnf remove "pyzor*"
Comment 10 Sergio Monteiro Basto 2016-09-30 18:42:23 EDT
Sorry I spoke to soon evolution just crash again, abrt says: 

The process had locked memory which usually indicates efforts to protect sensitive data (passwords) from being written to disk.
In order to avoid sensitive information leakages, ABRT will not allow you to report this problem to bug tracking tools
Comment 11 Fedora End Of Life 2016-11-24 08:23:28 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2016-12-20 10:50:11 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.